#####################################################################
# c2man_pkg_lib.mk

# Prerequisite: create_am_macros.mk

# prime c2man_pkg for libraries. to be used with texiupd_c2man.mk. this
# snippet should be included in the library source dir's Makefile.am

# The caller must specify the following variables:

# C2MAN_FLAGS:
#   typically something like 
#		$(librbtree_la_CPPFLAGS) -i$(PACKAGE_NAME)/io.h

# C2MAN_SRCS:
#   typically something like 
#		$(librbtree_la_SOURCES:%=$(srcdir)/%)

# The caller may specify 
#  C2MAN_SEC_LEVEL (default is 2)

# The caller must force generation of the documentation using something like
# 
#		librbtree_la_DEPENDENCIES = $(C2MAN_STAMP)


C2MAN_DESTDIR		= $(top_srcdir)/docs/lib
C2MAN_PKG		= $(PACKAGE_NAME)

include $(top_srcdir)/snippets/c2man_pkg.mk
